WSMOUSE(4)

NAME
wsmouse - generic mouse support in wscons

SYNOPSIS
wsmouse* at pms? (PS/2 mouse)
wsmouse* at pmsi? ( “Intellimouse” -compatible wheel mouse with PS/2 interface)
wsmouse* at ums? (USB mouse)
wsmouse* at lms? (Logitech bus mouse, i386 only)
wsmouse* at mms? (Microsoft InPort mouse, i386 only)
wsmouse0 at ams? (Apple ADB mouse)

DESCRIPTION
The wsmouse driver is an abstraction layer for mice within the wscons(4) framework. It is attached to the hardware specific keyboard drivers and provides a character device interface. For use with X servers, “mouse events” can be generated.

The wsmouse driver provides a number of ioctl functions to control various parameters. A complete list is in /usr/include/dev/wscons/wsconsio.h. The wsconsctl(8) utility gives access to these variables.

FILES

/dev/wsmouse*

/usr/include/dev/wscons/wsconsio.h.

BUGS
There is little support for hot insertion and removal.

SEE ALSO
wscons(4), wsconsctl(8), pms(4), lms(4), mms(4), ums(4)